Package: groovy.lang

## [Java] Class StringWriterIOException

- groovy.lang.StringWriterIOException

-     public class StringWriterIOException
      extends RuntimeException

  An IO exception occurred trying to append to a StringWriter which should never happen.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StringWriterIOException(IOException e)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public IOException` | `getIOException()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public StringWriterIOException(IOException e)

  - ### Method Detail

    - #### public IOException getIOException()